Dependencies for Metaproperties and Options

Add a dependency

Manage metaproperty option dependencies

post
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options/{optionId}/dependencies/{dependencyId}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

optionIdstringrequired

Example:00000000-0000-0000-0000000000000000

dependencyIdstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/json
object

Response

application/json

Created

post/api/v4/metaproperties/{id}/options/{optionId}/dependencies/{dependencyId}

Body

{}
 
application/json

Option dependency group (Please use new Automations API if possible)

Create dependency group

Create a dependency group for a metaproperty option.

post
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options/{optionId}/dependencies/group

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

optionIdstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
dataarray[string]

JSON-serialised list of dependency option ids.

Example:00000000-0000-0000-0000000000000000, 00000000-0000-0000-0000000000000000

Response

application/json

Created

post/api/v4/metaproperties/{id}/options/{optionId}/dependencies/group

Body

{}
 
application/json

Modify dependency group

Modify a dependency group for a metaproperty option.

post
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options/{optionId}/dependencies/group/{groupId}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

optionIdstringrequired

Example:00000000-0000-0000-0000000000000000

groupIdstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
dataarray[string]

JSON-serialised string of dependency (metaproperty option) ids.

Example:00000000-0000-0000-0000000000000000, 00000000-0000-0000-0000000000000000

groupIdstring

The id of the dependency group you’d like to modify.

Example:00000000-0000-0000-0000000000000000

idstring

The id of the metaproperty the (metaproperty) option belongs to.

Example:00000000-0000-0000-0000000000000000

optionIdstring

The id of the (metaproperty) option the dependency group belongs to.

Example:00000000-0000-0000-0000000000000000

Response

application/json

Created

post/api/v4/metaproperties/{id}/options/{optionId}/dependencies/group/{groupId}

Body

{}
 
application/json

Remove a dependency option from a group

Remove a dependency option from a specific dependency group for a metaproperty option.

delete
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options/{optionId}/dependencies/group/{groupId}/{dependencyId}

Path Parameters

idstringrequired

The id of the metaproperty the (metaproperty) option belongs to.

Example:00000000-0000-0000-0000000000000000

optionIdstringrequired

The id of the (metaproperty) option the dependency group belongs to.

Example:00000000-0000-0000-0000000000000000

groupIdstringrequired

The id of the dependency group you’d like to remove a dependency from.

Example:00000000-0000-0000-0000000000000000

dependencyIdstringrequired

The id of the dependency (metaproperty option) you’d like to remove from the dependency group.

Example:00000000-0000-0000-0000000000000000

Response

No Content

delete/api/v4/metaproperties/{id}/options/{optionId}/dependencies/group/{groupId}/{dependencyId}